<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xslt="namespace-alias"
                version="2.0"
                xmlns:saxon="http://saxon.sf.net/"
                extension-element-prefixes="saxon">

<xsl:namespace-alias stylesheet-prefix='xslt' result-prefix='xsl'/>

<xsl:output method='xml' indent='yes' encoding='utf-8'
            saxon:character-representation='native'/>

<xsl:strip-space elements='*'/>
<xsl:preserve-space elements='xslt:text xsl:text'/>
<xsl:param name='mode'/>

<xsl:template match='/'>
<xslt:stylesheet  version="2.0"
                  xmlns:zw='java:cz.euweb.icebearsoft.saxon.ExtUtils'
                  xmlns:xs='http://www.w3.org/2001/XMLSchema'
                  saxon:trace="no"
                  exclude-result-prefixes='zw xs'
                  extension-element-prefixes="saxon">

  <xsl:apply-templates select='//zw-pre'/>

</xslt:stylesheet>
</xsl:template>

<xsl:template match='zw-pre'>
  <xsl:if test='@mode=$mode or (not($mode) and not(@mode))'>
    <xsl:apply-templates/>
  </xsl:if>
</xsl:template>

<xsl:template match='zw-hide'>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match='*|@*'>
  <xsl:copy>
    <xsl:apply-templates select='@*'/>
    <xsl:apply-templates/>
  </xsl:copy>
</xsl:template>

<xsl:template match='text()'>
  <xsl:value-of select='.' disable-output-escaping='yes'/>
</xsl:template>

<xsl:template match='processing-instruction()'>
  <xsl:processing-instruction name='{name()}'>
    <xsl:value-of select='.'/>
  </xsl:processing-instruction>
</xsl:template>

<xsl:template match='zw-text'>
  <xslt:text><xsl:value-of select='.'/></xslt:text>
</xsl:template>

</xsl:stylesheet>
