<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xslt="namespace-alias"
                version="2.0"
                xmlns:saxon="http://saxon.sf.net/"
                extension-element-prefixes="saxon">

<xsl:namespace-alias stylesheet-prefix='xslt' result-prefix='xsl'/>

<xsl:output method='xml' indent='yes' encoding='iso-8859-2'
            saxon:character-representation='native;decimal'/>

<xsl:strip-space elements='*'/>
<xsl:preserve-space elements='xslt:text xsl:text'/>
  
  <xsl:variable name="basename">
    <xsl:analyze-string select="saxon:systemId()" regex="([^/]+)\.xml$">
      <xsl:matching-substring>
        <xsl:value-of select="concat(regex-group(1), '-cs.php')"/>
      </xsl:matching-substring>
    </xsl:analyze-string>
  </xsl:variable>
  
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="refresh" content="0; url={$basename}"/>
        <meta name="robots" content="noindex"/>
      </head>
      <body>
        <p>Viz <a href="{$basename}">
          <xsl:value-of select="$basename"/>
        </a></p>
        <xsl:comment>WZ-REKLAMA-1.0</xsl:comment>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
