<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:zw="java:cz.euweb.icebearsoft.saxon.ExtUtils"
                xmlns:saxon="http://saxon.sf.net/"
                version="2.0"
                saxon:trace="no"
                exclude-result-prefixes="zw xs"
                extension-element-prefixes="saxon">
   <xsl:import href="xml2html.xsl"/>
   <xsl:variable name="ignore-role">online</xsl:variable>
   <xsl:template match="zw-offline">
      <xsl:apply-templates/>
   </xsl:template>
   <xsl:template match="zw-online"/>
   <xsl:variable name="ibslogo">ibslogo1.gif</xsl:variable>
   <xsl:variable name="home">http://icebearsoft.euweb.cz/</xsl:variable>
   <xsl:template match="zw-logo" mode="#default title">
      <a title="{$mainpage}" href="{$home}">
         <img src="{$ibslogo}" width="175" height="45" alt="Ice Bear Soft" align="right"
              border="0"/>
      </a>
   </xsl:template>
   <xsl:template match="/">
      <xsl:variable name="offline-document" as="element()">
         <html>
            <xsl:apply-templates select="document"/>
         </html>
      </xsl:variable>
      <xsl:apply-templates select="$offline-document" mode="offline-postprocessing"/>
   </xsl:template>
   <xsl:template match="a" mode="offline-postprocessing">
      <a>
         <xsl:copy-of select="@*"/>
         <xsl:if test="name(..) != 'span' and name(..) != 'div' and (not(../@id) or ../@id != 'langlinks') and not(contains(@href, '://')) and not(starts-with(@href, '#'))">
            <xsl:attribute name="href">
               <xsl:call-template name="postprocess-href">
                  <xsl:with-param name="href">
                     <xsl:value-of select="replace(concat($referer, @href), '/\./', '/')"/>
                  </xsl:with-param>
               </xsl:call-template>
            </xsl:attribute>
         </xsl:if>
         <xsl:apply-templates mode="#current"/>
      </a>
   </xsl:template>
   <xsl:variable name="referer">
      <xsl:text>http://icebearsoft.euweb.cz/</xsl:text>
      <xsl:analyze-string select="substring-after(saxon:systemId(), '/xml/')" regex="^(.*?)[^/]+$">
         <xsl:matching-substring>
            <xsl:value-of select="regex-group(1)"/>
         </xsl:matching-substring>
      </xsl:analyze-string>
   </xsl:variable>
   <xsl:template name="postprocess-href">
      <xsl:param name="href" as="xs:string" required="yes"/>
      <xsl:analyze-string select="$href" regex="$(.*?)/[^/]+/\.\.(/.*)$">
         <xsl:matching-substring>
            <xsl:call-template name="postprocess-href">
               <xsl:with-param name="href">
                  <xsl:value-of select="concat(regex-group(1), regex-group(2))"/>
               </xsl:with-param>
            </xsl:call-template>
         </xsl:matching-substring>
         <xsl:non-matching-substring>
            <xsl:value-of select="."/>
         </xsl:non-matching-substring>
      </xsl:analyze-string>
   </xsl:template>
   <xsl:template match="*" mode="offline-postprocessing">
      <xsl:copy>
         <xsl:copy-of select="@*"/>
         <xsl:apply-templates mode="#current"/>
      </xsl:copy>
   </xsl:template>
   <xsl:variable name="css">style.css</xsl:variable>
   <xsl:template name="doc-css">
      <link rel="stylesheet" href="{$css}" type="text/css"/>
   </xsl:template>
   <xsl:param name="langlinks" as="xs:string" required="yes"/>
   <xsl:template name="footer">
      <br/>
      <br/>
      <br/>
      <hr/>
      <div id="copyright">
         <xsl:text>&#169; Z. Wagner - Ice Bear Soft, </xsl:text>
         <xsl:value-of select="zw:last-modified()" use-when="function-available(&#34;zw:last-modified&#34;)"/>
      </div>
      <xsl:text>
</xsl:text>
      <xsl:if test="contains($langlinks, ':')">
         <div id="langlinks">
            <xsl:text>&#160;</xsl:text>
            <xsl:for-each select="tokenize(substring-after($langlinks, ':'),                 ',')">
               <a href="{concat(substring-before($langlinks, ':'), '-', .,                   '.html')}">
                  <xsl:value-of select="upper-case(.)"/>
               </a>
               <xsl:text>&#160;</xsl:text>
            </xsl:for-each>
         </div>
      </xsl:if>
   </xsl:template>
</xsl:stylesheet>